How to compile this version of Speex (only tested on Linux):
* You need to have an OpenCL version installed.
* Adapt the "configure.ac" file to your needs, search for "--enable-opencl", depending on your system configuration.
* Set the default FFT implementation to use in configure.ac, see the "FFT=" line. Default is "FFT=smallft", benchmarks were done with "FFT=gpl-fftw3". You can also specify "--with-fft=choice" when running configure.
* Run the "./autogen.sh" script to generate the scripts and makefiles for your machine.
* Run configure with one of the opencl options: "./configure --enable-opencl-amd" or "./configure --enable-opencl-nvidia".
* Run make
* See the testscript "runecho.sh" for examples on how to execute the program, the source code for the testprogram is stored in "libspeex/testecho.c".

List of the added/heavily modified files compared to vanilla Speex (ver.1.2rc1):
runspeex.sh
include/speex/speex_echo.h
libspeex/testecho.c
libspeex/mdf.c
libspeex/mdf_opencl.c
libspeex/mdf_oclfft.c
libspeex/opencl_utility.c
libspeex/mdf_oclmdf_kernel.cl
libspeex/mdf_oclfft_kernel.cl

